﻿using System;
using System.Collections;
using System.Collections.Generic;
using PushPlatform.Data;

namespace PushPlatform.Data
{
    public partial class MapProjectPush : EntityBase
    {
        #region Default Constructor
        /// <summary>
        /// Initializes a new instance of the <see cref="Account"/> class.
        /// </summary>
        public MapProjectPush()
        {
            Initialize();
        }
        
        public MapProjectPush(MapProjectPush model)
        {
            Initialize();
            this.Id=model.Id;
            this.Name_Des=model.Name_Des;
            this.Push_Id=model.Push_Id;
            this.PushSys_ProId=model.PushSys_ProId;
            this.Project_Id=model.Project_Id;
            this.Exec_Time=model.Exec_Time;
            this.Exec_Status=model.Exec_Status;
            this.Push_Target=model.Push_Target;
            this.Push_Style=model.Push_Style;
            this.Push_TagId=model.Push_TagId;
            this.Push_Title=model.Push_Title;
            this.Push_Body=model.Push_Body;
            this.Push_Type=model.Push_Type;
            this.Push_Cycle=model.Push_Cycle;
            this.Push_Month=model.Push_Month;
            this.Push_Which=model.Push_Which;
            this.Push_Action=model.Push_Action;
            this.Push_ActionType=model.Push_ActionType;
            this.Push_IosLink=model.Push_IosLink;
            this.Push_AndLink=model.Push_AndLink;
            this.Push_WebLink=model.Push_WebLink;
            this.Db_ConnectId=model.Db_ConnectId;
            this.Wx_MsmodelId=model.Wx_MsmodelId;
            this.Is_Deleted=model.Is_Deleted;
            this.Create_User=model.Create_User;
            this.Create_Time=model.Create_Time;
            this.Update_User=model.Update_User;
            this.Update_Time=model.Update_Time;
            this.Trigger_Key=model.Trigger_Key;
            this.Timestamp=model.Timestamp;
        }

        protected override void Initialize()
        {
            OnCreated();
        }
        
        #endregion
        
        #region Column Mapped Properties
        
        
        private System.String _identification;
        
        public virtual System.String Id
        {
            get { return _identification; }
            set
            {
                _identification = value;
            }
        }
        
        private System.String _nameDes;
        
        public virtual System.String Name_Des
        {
            get { return _nameDes; }
            set
            {
                _nameDes = value;
            }
        }
        
        private System.String _pushId;
        
        public virtual System.String Push_Id
        {
            get { return _pushId; }
            set
            {
                _pushId = value;
            }
        }
        
        private System.String _pushSysProId;
        
        public virtual System.String PushSys_ProId
        {
            get { return _pushSysProId; }
            set
            {
                _pushSysProId = value;
            }
        }
        
        private System.String _projectId;
        
        public virtual System.String Project_Id
        {
            get { return _projectId; }
            set
            {
                _projectId = value;
            }
        }
        
        private System.DateTime _execTime;
        
        public virtual System.DateTime Exec_Time
        {
            get { return _execTime; }
            set
            {
                _execTime = value;
            }
        }
        
        private System.Int32 _execStatus;
        
        public virtual System.Int32 Exec_Status
        {
            get { return _execStatus; }
            set
            {
                _execStatus = value;
            }
        }
        
        private System.String _pushTarget;
        
        public virtual System.String Push_Target
        {
            get { return _pushTarget; }
            set
            {
                _pushTarget = value;
            }
        }
        
        private System.String _pushStyle;
        
        public virtual System.String Push_Style
        {
            get { return _pushStyle; }
            set
            {
                _pushStyle = value;
            }
        }
        
        private System.String _pushTagId;
        
        public virtual System.String Push_TagId
        {
            get { return _pushTagId; }
            set
            {
                _pushTagId = value;
            }
        }
        
        private System.String _pushTitle;
        
        public virtual System.String Push_Title
        {
            get { return _pushTitle; }
            set
            {
                _pushTitle = value;
            }
        }
        
        private System.String _pushBody;
        
        public virtual System.String Push_Body
        {
            get { return _pushBody; }
            set
            {
                _pushBody = value;
            }
        }
        
        private System.Int32? _pushType;
        
        public virtual System.Int32? Push_Type
        {
            get { return _pushType; }
            set
            {
                _pushType = value;
            }
        }
        
        private System.Int32? _pushCycle;
        
        public virtual System.Int32? Push_Cycle
        {
            get { return _pushCycle; }
            set
            {
                _pushCycle = value;
            }
        }
        
        private System.String _pushMonth;
        
        public virtual System.String Push_Month
        {
            get { return _pushMonth; }
            set
            {
                _pushMonth = value;
            }
        }
        
        private System.String _pushWhich;
        
        public virtual System.String Push_Which
        {
            get { return _pushWhich; }
            set
            {
                _pushWhich = value;
            }
        }
        
        private System.String _pushAction;
        
        public virtual System.String Push_Action
        {
            get { return _pushAction; }
            set
            {
                _pushAction = value;
            }
        }
        
        private System.Int32? _pushActionType;
        
        public virtual System.Int32? Push_ActionType
        {
            get { return _pushActionType; }
            set
            {
                _pushActionType = value;
            }
        }
        
        private System.String _pushIosLink;
        
        public virtual System.String Push_IosLink
        {
            get { return _pushIosLink; }
            set
            {
                _pushIosLink = value;
            }
        }
        
        private System.String _pushAndLink;
        
        public virtual System.String Push_AndLink
        {
            get { return _pushAndLink; }
            set
            {
                _pushAndLink = value;
            }
        }
        
        private System.String _pushWebLink;
        
        public virtual System.String Push_WebLink
        {
            get { return _pushWebLink; }
            set
            {
                _pushWebLink = value;
            }
        }
        
        private System.String _dbConnectId;
        
        public virtual System.String Db_ConnectId
        {
            get { return _dbConnectId; }
            set
            {
                _dbConnectId = value;
            }
        }
        
        private System.String _wxMsmodelId;
        
        public virtual System.String Wx_MsmodelId
        {
            get { return _wxMsmodelId; }
            set
            {
                _wxMsmodelId = value;
            }
        }
        
        private System.Int32 _isDeleted;
        
        public virtual System.Int32 Is_Deleted
        {
            get { return _isDeleted; }
            set
            {
                _isDeleted = value;
            }
        }
        
        private System.String _createUser;
        
        public virtual System.String Create_User
        {
            get { return _createUser; }
            set
            {
                _createUser = value;
            }
        }
        
        private System.DateTime? _createTime;
        
        public virtual System.DateTime? Create_Time
        {
            get { return _createTime; }
            set
            {
                _createTime = value;
            }
        }
        
        private System.String _updateUser;
        
        public virtual System.String Update_User
        {
            get { return _updateUser; }
            set
            {
                _updateUser = value;
            }
        }
        
        private System.DateTime? _updateTime;
        
        public virtual System.DateTime? Update_Time
        {
            get { return _updateTime; }
            set
            {
                _updateTime = value;
            }
        }
        
        private System.String _triggerKey;
        
        public virtual System.String Trigger_Key
        {
            get { return _triggerKey; }
            set
            {
                _triggerKey = value;
            }
        }
        
        private System.Int64 _timestamp;
        
        public virtual System.Int64 Timestamp
        {
            get { return _timestamp; }
            set
            {
                _timestamp = value;
            }
        }
        
        
        
        
        
        
        
        #endregion
        
        #region Associations Mappings
        
        #endregion
        
        #region Extensibility Method
        
        static partial void AddSharedRules();
        
        partial void OnCreated();
        
        
        #endregion
        
        
    }
}

